
go :-
	bagof(S,pipestr(S),L),
	write(L), nl.

items_from_svg(S,File) :-
    concat('cat ',File,Out1),
    concat(Out1,'.svg | grep \'class="node"\' | cut -d \'>\' -f3 | cut -d \'<\' -f1 | tr [:cntrl:] @',Out2),
    pipestr(S, Out2),
    write(S).

coords_from_svg(S,File) :-
    concat('cat ',File,Out1),
    concat(Out1,'.svg | grep -A1 \'class="node"\' | grep polygon | cut -d \'"\' -f4 | cut -d " " -f1 | tr [:cntrl:] @',Out2),
    pipestr(S, Out2),
    write(S).

pipestr(S,T) :-
	see(pipe(T)),
	read_atom(S),
	seen.

read_str(String) :-
  get_code(Char),
  read_str_aux(Char,String).

read_str_aux(-1,[]):-!.
%read_str_aux(10,_).
%read_str_aux(13,_).

read_str_aux(Char,[Char|Rest]) :- read_str(Rest).

read_atom(Atom):-
  read_str(String),
  name(Atom,String).
  
write_str([H|T]):- put(H), write_str(T).
write_str([]).
